Macro
SEQAN_CONCEPT_IMPL
Defines which concepts a model fulfills.
template<>
SEQAN_CONCEPT_IMPL(name, implementedConcepts)
template<typename T, int I>
SEQAN_CONCEPT_IMPL(name<T,I>, implementedConcepts)
Include Headers
seqan/basic.h
Parameters

name | Model type, i.e. an identifier or an identifier with template arguments.
implementedConcepts | Identifiers of concepts that are fulfilled by the model. Remarks: This is a sequence of the Boost Preprocessor Library, read more.

Remarks
The metafunction Is can be used to determine whether a class models (fulfills) a concepts. A model of a concept must pass the concept check via SEQAN_CONCEPT_ASSERT.
Examples
template <typename TValue, typename TSpec>
SEQAN_CONCEPT_IMPL(String<TValue, TSpec>, (StringConcept));
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59